Docs

Create a report

Creates a new report.

POST /reports

Creates a new report.

Reports are created as pending initially while Paddle generates your report. They move to ready when they're ready to download.

You can download a report when it's ready using the get a CSV file for a report operation.

If successful, your response includes a copy of the new report entity.

Requires report.write permission.

Request body

Adjustments reports
Entity when working with reports for adjustments or adjustment line items.
typestringrequired
Example: adjustments
Type of report to create.
Values
  • adjustments
    Adjustments reports contain information about refunds, credits, and chargebacks.
  • adjustment_line_items
    Adjustments reports contain information about refunds, credits, and chargebacks. The report is broken down by line item level.
filtersarray
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestring
Field name to filter by.
Values
  • action
    Filter by adjustment action. Pass an array of strings containing any valid value for the action field against an adjustment.
  • currency_code
    Filter by transaction or adjustment currency. Pass an array of strings containing any valid supported three-letter ISO 4217 currency code.
  • status
    Filter by transaction or adjustment status. Pass an array of strings containing any valid value for the status field against a transaction or an adjustment.
  • updated_at
    Filter by transaction or adjustment updated date. Pass an RFC 3339 datetime string.
operatorstring | null
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
value
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
Array of AdjustmentAction
Timestamp
RFC 3339 datetime string.
string (date)
Transactions reports
Entity when working with reports for transaction or transaction line items.
typestringrequired
Example: transactions
Type of report to create.
Values
  • transactions
    Transactions reports contain information about revenue received, past due invoices, draft and issued invoices, and canceled transactions.
  • transaction_line_items
    Transactions reports contain information about revenue received, past due invoices, draft and issued invoices, and canceled transactions. The report is broken down by line item level.
filtersarray
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestring
Field name to filter by.
Values
  • collection_mode
    Filter by collection mode. Pass an array of strings containing any valid value for the collection_mode field against a transaction.
  • currency_code
    Filter by transaction or adjustment currency. Pass an array of strings containing any valid supported three-letter ISO 4217 currency code.
  • origin
    Filter by transaction origin. Pass an array of strings containing any valid value for the origin field against a transaction.
  • status
    Filter by transaction or adjustment status. Pass an array of strings containing any valid value for the status field against a transaction or an adjustment.
  • updated_at
    Filter by transaction or adjustment updated date. Pass an RFC 3339 datetime string.
operatorstring | null
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
value
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
string
Products and prices report
Entity when working with a products and prices report.
typestringrequired
Example: products_prices
Type of report to create.
Values
  • products_prices
    Products and prices reports contain information about your products and prices. May include non-catalog products and prices.
filtersarray
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means product_updated_at and price_updated_at are greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestring
Field name to filter by.
Values
  • product_status
    Filter by product status. Pass an array of strings containing any valid value for the status field against a product.
  • price_status
    Filter by price status. Pass an array of strings containing any valid value for the status field against a price.
  • product_type
    Filter by product type. Pass an array of strings containing any valid value for the type field against a product.
  • price_type
    Filter by price type. Pass an array of strings containing any valid value for the type field against a price.
  • product_updated_at
    Filter by product updated_at date. Pass an RFC 3339 datetime string.
+ Show all values
  • price_updated_at
    Filter by price updated_at date. Pass an RFC 3339 datetime string.
operatorstring | null
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
value
Value to filter by.
Array of string
string
Discounts report
Entity when working with a discounts report.
typestringrequired
Example: discounts
Type of report to create.
Values
  • discounts
    Discounts reports contain information about your product and checkout discounts.
filtersarray
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestring
Field name to filter by.
Values
  • type
    Filter by discount type. Pass an array of strings containing any valid value for the type field against a discount.
  • status
    Filter by discount status. Pass an array of strings containing any valid value for the status field against a discount.
  • updated_at
    Filter by discount updated date. Pass an RFC 3339 datetime string.
operatorstring | null
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
value
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
string
Balance report
Entity when working with a balance report. Deprecated.
typestringrequireddeprecated
Example: balance
Type of report to create.
Values
  • balance
    Balance reports contain information about your account balance activity, including all movements of funds in and out of your balance. Deprecated.
filtersarray
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestring
Field name to filter by.
Values
  • updated_at
    Filter by balance change updated date. Pass an RFC 3339 datetime string.
operatorstring | null
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
value
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
string
Payout reconciliation report
Entity when working with a reconciliation report.
typestringrequired
Example: payout_reconciliation
Type of report to create.
Values
  • payout_reconciliation
    Payout reconciliation reports contain information about your payout activity, including all transactions and adjustments that make up specific payouts.
filtersarray
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means transaction_updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestring
Field name to filter by.
Values
  • remittance_reference
    Filter by remittance reference. Pass an array with one string containing a remittance reference.
  • transaction_updated_at
    Filter by transaction updated date. Pass an RFC 3339 datetime string.
operatorstring | null
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuearray
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.

Response (201)

datarequired
Represents a report entity.
Adjustments reports
Entity when working with reports for adjustments or adjustment line items.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequired
Example: adjustments
Type of report to create.
Values
  • adjustments
    Adjustments reports contain information about refunds, credits, and chargebacks.
  • adjustment_line_items
    Adjustments reports contain information about refunds, credits, and chargebacks. The report is broken down by line item level.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • action
    Filter by adjustment action. Pass an array of strings containing any valid value for the action field against an adjustment.
  • currency_code
    Filter by transaction or adjustment currency. Pass an array of strings containing any valid supported three-letter ISO 4217 currency code.
  • status
    Filter by transaction or adjustment status. Pass an array of strings containing any valid value for the status field against a transaction or an adjustment.
  • updated_at
    Filter by transaction or adjustment updated date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuerequired
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
Array of AdjustmentAction
Timestamp
RFC 3339 datetime string.
string (date)
Transactions reports
Entity when working with reports for transaction or transaction line items.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequired
Example: transactions
Type of report to create.
Values
  • transactions
    Transactions reports contain information about revenue received, past due invoices, draft and issued invoices, and canceled transactions.
  • transaction_line_items
    Transactions reports contain information about revenue received, past due invoices, draft and issued invoices, and canceled transactions. The report is broken down by line item level.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • collection_mode
    Filter by collection mode. Pass an array of strings containing any valid value for the collection_mode field against a transaction.
  • currency_code
    Filter by transaction or adjustment currency. Pass an array of strings containing any valid supported three-letter ISO 4217 currency code.
  • origin
    Filter by transaction origin. Pass an array of strings containing any valid value for the origin field against a transaction.
  • status
    Filter by transaction or adjustment status. Pass an array of strings containing any valid value for the status field against a transaction or an adjustment.
  • updated_at
    Filter by transaction or adjustment updated date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuerequired
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
string
Products and prices report
Entity when working with a products and prices report.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequired
Example: products_prices
Type of report to create.
Values
  • products_prices
    Products and prices reports contain information about your products and prices. May include non-catalog products and prices.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means product_updated_at and price_updated_at are greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • product_status
    Filter by product status. Pass an array of strings containing any valid value for the status field against a product.
  • price_status
    Filter by price status. Pass an array of strings containing any valid value for the status field against a price.
  • product_type
    Filter by product type. Pass an array of strings containing any valid value for the type field against a product.
  • price_type
    Filter by price type. Pass an array of strings containing any valid value for the type field against a price.
  • product_updated_at
    Filter by product updated_at date. Pass an RFC 3339 datetime string.
+ Show all values
  • price_updated_at
    Filter by price updated_at date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuerequired
Value to filter by.
Array of string
string
Discounts report
Entity when working with a discounts report.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequired
Example: discounts
Type of report to create.
Values
  • discounts
    Discounts reports contain information about your product and checkout discounts.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • type
    Filter by discount type. Pass an array of strings containing any valid value for the type field against a discount.
  • status
    Filter by discount status. Pass an array of strings containing any valid value for the status field against a discount.
  • updated_at
    Filter by discount updated date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuerequired
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
string
Balance report
Entity when working with a balance report. Deprecated.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequireddeprecated
Example: balance
Type of report to create.
Values
  • balance
    Balance reports contain information about your account balance activity, including all movements of funds in and out of your balance. Deprecated.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • updated_at
    Filter by balance change updated date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuerequired
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
Array of string
string
Payout reconciliation report
Entity when working with a reconciliation report.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this report, prefixed with rep_
Pattern: ^[a-z]{3,10}_[a-z\d]{26}$
statusstringrequired
Default: pending

Status of this report. Set automatically by Paddle.

Reports are created as pending initially, then move to ready when they're available to download.

Values
  • pending
    Report created, but Paddle is processing it. It's not yet ready for download.
  • ready
    Report fully processed by Paddle and ready for download.
  • failed
    There was a problem processing this report.
  • expired
    Report has expired and is no longer accessible.
rowsinteger | nullrequired
Number of records in this report. null if the report is pending.
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this report was last updated.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this report was created.
typestringrequired
Example: payout_reconciliation
Type of report to create.
Values
  • payout_reconciliation
    Payout reconciliation reports contain information about your payout activity, including all transactions and adjustments that make up specific payouts.
filtersarrayrequired
Filter criteria for this report. If omitted, reports are filtered to include data updated in the last 30 days. This means transaction_updated_at is greater than or equal to (gte) the date 30 days ago from the time the report was generated.
Items: max 10
namestringrequired
Field name to filter by.
Values
  • remittance_reference
    Filter by remittance reference. Pass an array with one string containing a remittance reference.
  • transaction_updated_at
    Filter by transaction updated date. Pass an RFC 3339 datetime string.
operatorstring | nullrequired
Example: lt
Operator to use when filtering.
Values
  • lt
    Less than.
  • gte
    Greater than or equal to.
valuearrayrequired
Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Request
{
"type": "transactions",
"filters": [
{
"name": "collection_mode",
"value": [
"manual"
]
},
{
"name": "updated_at",
"value": "2024-04-15",
"operator": "lt"
},
{
"name": "updated_at",
"value": "2024-01-01",
"operator": "gte"
}
]
}
Response
{
"data": {
"id": "rep_01hvgdhtthn1q35n79dgeqm3pv",
"type": "transactions",
"rows": null,
"status": "pending",
"filters": [
{
"name": "collection_mode",
"value": [
"manual"
],
"operator": null
},
{
"name": "updated_at",
"value": "2024-04-15",
"operator": "lt"
},
{
"name": "updated_at",
"value": "2024-01-01",
"operator": "gte"
}
],
"expires_at": null,
"created_at": "2024-04-15T08:21:36.209Z",
"updated_at": "2024-04-15T08:21:36.209Z"
},
"meta": {
"request_id": "0774e52b-fcc3-4d7e-8047-b1b1a05a3f27"
}
}

Was this page helpful?